import {
	defineStore
} from 'pinia'
/**
 * 公共仓库
 */
export const useCommonStore = defineStore('useCommonStore', {
	state: () => {
		return {
			loading: false,
			selectedUsers:[],
		}
	},
	//计算字段
	getters: {

	},
	//方法
	actions: {
		showLoading() {
			uni.showLoading({
				title: '加载中',
				mask:true
			});
			// this.loading = true;
		},
		hideLoading() {
			uni.hideLoading();
			// this.loading = false;
		}
	},
	unistorage: false // 开启后对 state 的数据读写都将持久化

})